Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.compoze.discussion
Class DiscussionResources

    java.lang.Object
      |
      +--com.compoze.discussion.DiscussionResources

public class DiscussionResources
extends java.lang.Object

Provides access to the `DiscussionResources` for the Discussion package.

Constructor Summary
`DiscussionResources()`

Method Summary
`static java.util.ResourceBundle` | `i()` Gets the singleton instance of the `DiscussionResources`.
`static java.util.ResourceBundle` | `i(java.util.Locale locale)` Gets the singleton instance of the `DiscussionResources`.
`static void` | `main(java.lang.String[] args)` Exerciser.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DiscussionResources

    public DiscussionResources()

Method Detail

### i

    public static java.util.ResourceBundle i()

  Gets the singleton instance of the `DiscussionResources`. The default locale is used.
  Returns:
    a `DiscussionResources` for the discussion package
  Throws:
    `MissingResourceException` - if the resource bundle could not be found

### i

    public static java.util.ResourceBundle i(java.util.Locale locale)

  Gets the singleton instance of the `DiscussionResources`.
  Parameters:
    `locale` - the locale to use when retrieving the resource bundle
  Returns:
    a `DiscussionResources`for the discussion package``
  Throws:
    `MissingResourceException` - if the resource bundle could not be found

### main

    public static void main(java.lang.String[] args)

  Exerciser.
  Parameters:
    `args` - main arguments - first argument should be the key to get the value for

Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ©1999-2003 Compoze Software, Inc. All rights reserved.